Create InfiniBand Partition

View as Markdown

Create an InfiniBand Partition for the org.

Org must have a Tenant entity. User must have FORGE_TENANT_ADMIN authorization role.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://carbide-rest-api.carbide.svc.cluster.local/v2/org/$ORG_NAME/carbide/user/current ```

Path parameters

orgstringRequired

Request

This endpoint expects an object.
namestringRequired2-256 characters
Name of the Partition to create
siteIdstringRequiredformat: "uuid"
ID of the Site the Partition should belong to
descriptionstringOptional
Optional description of the Partition
labelsmap from strings to stringsOptional
String key value pairs describing Partition labels. Up to 10 key value pairs can be specified

Response

Created
idstringRead-onlyformat: "uuid"
namestring2-256 characters
descriptionstring
siteIdstringformat: "uuid"
tenantIdstringformat: "uuid"
controllerIBPartitionIdstring or nullformat: "uuid"
partitionKeystring or nullRead-only
partitionNamestring or nullRead-only
serviceLevelinteger or nullRead-only0-15
rateLimitenumRead-only
mtuenumRead-only
Allowed values:
enableSharpbooleanRead-only
labelsmap from strings to strings
String key value pairs describing InfiniBand Partition labels. Up to 10 key value pairs can be specified
statusenum
Status values for InfiniBand Partition objects
statusHistorylist of objectsRead-only
createddatetimeRead-only
updateddatetimeRead-only

Errors

400
Bad Request Error
403
Forbidden Error